Update relationship memory
Requires the configured Aida workspace feature (aida_workspace by default). View permits aida_view/capture/review/settings_manage or full access; mutation requires the action-specific capture, review or settings permission. All records belong to the current organization. Requires aida_review or full access. Updates only submitted memory fields and records the changed evidence.
curl --request PATCH \
--url https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"value": "<string>",
"source_type": "<string>",
"source_record_type": "<string>",
"source_record_id": 2
}
'import requests
url = "https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId}"
payload = {
"label": "<string>",
"value": "<string>",
"source_type": "<string>",
"source_record_type": "<string>",
"source_record_id": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
value: '<string>',
source_type: '<string>',
source_record_type: '<string>',
source_record_id: 2
})
};
fetch('https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => '<string>',
'value' => '<string>',
'source_type' => '<string>',
'source_record_type' => '<string>',
'source_record_id' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"source_type\": \"<string>\",\n \"source_record_type\": \"<string>\",\n \"source_record_id\": 2\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"source_type\": \"<string>\",\n \"source_record_type\": \"<string>\",\n \"source_record_id\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"source_type\": \"<string>\",\n \"source_record_type\": \"<string>\",\n \"source_record_id\": 2\n}"
response = http.request(request)
puts response.read_body{
"data": {
"memory": {
"id": 123,
"type": "<string>",
"label": "<string>",
"value": "<string>",
"source_type": "<string>",
"source_record_type": "<string>",
"source_record_id": 123,
"sensitivity": "<string>",
"status": "<string>",
"captured_at": "2023-11-07T05:31:56Z"
},
"work_item": {
"id": 123,
"title": "<string>",
"type": "<string>",
"status": "<string>",
"review_state": "<string>",
"confidence": "<string>",
"draft_state": "<string>",
"sensitivity": "<string>",
"playbook": {},
"relationship": {
"type": "<string>",
"id": 123,
"name": "<string>",
"role": "<string>",
"value": "<string>",
"stage": "<string>",
"trajectory": "<string>",
"match_status": "<string>",
"match_options": [
{
"id": 123,
"label": "<string>",
"description": "<string>",
"email": "<string>"
}
]
},
"priority": {
"label": "<string>",
"score": 123,
"reason": "<string>"
},
"intelligence": {
"score": 123,
"value_band": "<string>",
"relationship_stage": "<string>",
"trajectory": "<string>",
"risk": "<string>",
"next_best_action": "<string>",
"expected_value": {
"amount": 123,
"label": "<string>",
"type": "<string>",
"confidence": "<string>",
"basis": {}
},
"pipeline": {},
"pipeline_transition": {},
"pipeline_transitions": [
{}
],
"evidence": [
{}
],
"autonomy": {
"level": "<string>",
"can_graduate": true,
"reason": "<string>"
}
},
"relationship_memory": {
"facts": [
{
"id": 123,
"type": "<string>",
"label": "<string>",
"value": "<string>",
"source_type": "<string>",
"source_record_type": "<string>",
"source_record_id": 123,
"sensitivity": "<string>",
"status": "<string>",
"captured_at": "2023-11-07T05:31:56Z"
}
],
"last_touch": "2023-11-07T05:31:56Z",
"open_loop": "<string>",
"open_loop_id": 123
},
"owner": {
"id": 123,
"name": "<string>",
"email": "<string>"
},
"due": {
"date": "2023-12-25",
"label": "<string>",
"tone": "<string>"
},
"freshness": {
"state": "<string>",
"score": 123,
"reason": "<string>"
},
"why_now": [
{
"label": "<string>",
"value": "<string>"
}
],
"brief": {},
"preview": {},
"allowed_actions": [
"<string>"
],
"links": {
"detail": "<string>"
},
"source_context": [
{
"id": 123,
"source_type": "<string>",
"title": "<string>",
"summary": "<string>",
"record_label": "<string>",
"source_date": "2023-11-07T05:31:56Z",
"captured_at": "2023-11-07T05:31:56Z",
"permission_class": "<string>",
"freshness_state": "<string>",
"source_restricted": true,
"used_in_draft": true,
"metadata": {}
}
],
"draft": {
"id": 123,
"channel": "<string>",
"recipient": "<string>",
"subject": "<string>",
"body": "<string>",
"status": "<string>",
"stale_reason": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"executed_at": "2023-11-07T05:31:56Z",
"payload": {}
},
"approval": {
"id": 123,
"status": "<string>",
"approval_type": "<string>",
"required_reason": "<string>",
"exact_copy": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolution_note": "<string>",
"internal_done": [
{}
]
},
"timeline": [
{
"id": 123,
"action_type": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"input": {},
"output": {}
}
],
"outcome": {
"id": 123,
"outcome_type": "<string>",
"summary": "<string>",
"next_action": "<string>",
"recorded_at": "2023-11-07T05:31:56Z",
"payload": {}
},
"learning": {}
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Memoryid.
Body
Request fields accepted by this operation. Omitted optional properties retain the behavior described above.
Validation: string|max:255.
255Validation: string|max:5000.
5000Validation: nullable|string|max:64.
64Validation: nullable|string|max:64.
64Validation: nullable|integer|min:1.
x >= 1Validation: in:normal,sensitive,restricted.
normal, sensitive, restricted Validation: in:active,superseded,deleted.
active, superseded, deleted Response
Update relationship memory response.
Show child attributes
Show child attributes
curl --request PATCH \
--url https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"value": "<string>",
"source_type": "<string>",
"source_record_type": "<string>",
"source_record_id": 2
}
'import requests
url = "https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId}"
payload = {
"label": "<string>",
"value": "<string>",
"source_type": "<string>",
"source_record_type": "<string>",
"source_record_id": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
value: '<string>',
source_type: '<string>',
source_record_type: '<string>',
source_record_id: 2
})
};
fetch('https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'label' => '<string>',
'value' => '<string>',
'source_type' => '<string>',
'source_record_type' => '<string>',
'source_record_id' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId}"
payload := strings.NewReader("{\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"source_type\": \"<string>\",\n \"source_record_type\": \"<string>\",\n \"source_record_id\": 2\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"source_type\": \"<string>\",\n \"source_record_type\": \"<string>\",\n \"source_record_id\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/aida/relationship-memories/{memoryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"<string>\",\n \"value\": \"<string>\",\n \"source_type\": \"<string>\",\n \"source_record_type\": \"<string>\",\n \"source_record_id\": 2\n}"
response = http.request(request)
puts response.read_body{
"data": {
"memory": {
"id": 123,
"type": "<string>",
"label": "<string>",
"value": "<string>",
"source_type": "<string>",
"source_record_type": "<string>",
"source_record_id": 123,
"sensitivity": "<string>",
"status": "<string>",
"captured_at": "2023-11-07T05:31:56Z"
},
"work_item": {
"id": 123,
"title": "<string>",
"type": "<string>",
"status": "<string>",
"review_state": "<string>",
"confidence": "<string>",
"draft_state": "<string>",
"sensitivity": "<string>",
"playbook": {},
"relationship": {
"type": "<string>",
"id": 123,
"name": "<string>",
"role": "<string>",
"value": "<string>",
"stage": "<string>",
"trajectory": "<string>",
"match_status": "<string>",
"match_options": [
{
"id": 123,
"label": "<string>",
"description": "<string>",
"email": "<string>"
}
]
},
"priority": {
"label": "<string>",
"score": 123,
"reason": "<string>"
},
"intelligence": {
"score": 123,
"value_band": "<string>",
"relationship_stage": "<string>",
"trajectory": "<string>",
"risk": "<string>",
"next_best_action": "<string>",
"expected_value": {
"amount": 123,
"label": "<string>",
"type": "<string>",
"confidence": "<string>",
"basis": {}
},
"pipeline": {},
"pipeline_transition": {},
"pipeline_transitions": [
{}
],
"evidence": [
{}
],
"autonomy": {
"level": "<string>",
"can_graduate": true,
"reason": "<string>"
}
},
"relationship_memory": {
"facts": [
{
"id": 123,
"type": "<string>",
"label": "<string>",
"value": "<string>",
"source_type": "<string>",
"source_record_type": "<string>",
"source_record_id": 123,
"sensitivity": "<string>",
"status": "<string>",
"captured_at": "2023-11-07T05:31:56Z"
}
],
"last_touch": "2023-11-07T05:31:56Z",
"open_loop": "<string>",
"open_loop_id": 123
},
"owner": {
"id": 123,
"name": "<string>",
"email": "<string>"
},
"due": {
"date": "2023-12-25",
"label": "<string>",
"tone": "<string>"
},
"freshness": {
"state": "<string>",
"score": 123,
"reason": "<string>"
},
"why_now": [
{
"label": "<string>",
"value": "<string>"
}
],
"brief": {},
"preview": {},
"allowed_actions": [
"<string>"
],
"links": {
"detail": "<string>"
},
"source_context": [
{
"id": 123,
"source_type": "<string>",
"title": "<string>",
"summary": "<string>",
"record_label": "<string>",
"source_date": "2023-11-07T05:31:56Z",
"captured_at": "2023-11-07T05:31:56Z",
"permission_class": "<string>",
"freshness_state": "<string>",
"source_restricted": true,
"used_in_draft": true,
"metadata": {}
}
],
"draft": {
"id": 123,
"channel": "<string>",
"recipient": "<string>",
"subject": "<string>",
"body": "<string>",
"status": "<string>",
"stale_reason": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"executed_at": "2023-11-07T05:31:56Z",
"payload": {}
},
"approval": {
"id": 123,
"status": "<string>",
"approval_type": "<string>",
"required_reason": "<string>",
"exact_copy": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolution_note": "<string>",
"internal_done": [
{}
]
},
"timeline": [
{
"id": 123,
"action_type": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"input": {},
"output": {}
}
],
"outcome": {
"id": 123,
"outcome_type": "<string>",
"summary": "<string>",
"next_action": "<string>",
"recorded_at": "2023-11-07T05:31:56Z",
"payload": {}
},
"learning": {}
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}